## r-cran-cgdsr 1.3.0

=== DESCRIPTION ===
Package: cgdsr
Type: Package
Title: R-Based API for Accessing the MSKCC Cancer Genomics Data Server
        (CGDS)
Version: 1.3.0
Date: 2019-06-10
Author: Anders Jacobsen <jacobsen@cbio.mskcc.org>, Augustin Luna <lunaa@cbio.mskcc.org>
Maintainer: Benjamin Gross <cgdsr@cbioportal.org>
Description: Provides a basic set of R functions for querying the Cancer
  Genomics Data Server (CGDS), hosted by the Computational Biology Center at
  Memorial-Sloan-Kettering Cancer Center (MSKCC) at <www.cbioportal.org>.
License: LGPL-3
LazyLoad: yes
URL: https://github.com/cBioPortal/cgdsr
Depends: R (>= 3.1)
Imports: R.oo, R.methodsS3, httr
Suggests: testthat
NeedsCompilation: no
Repository: CRAN
RoxygenNote: 6.0.1
Packaged: 2019-06-25 20:01:11 UTC; wilson
Date/Publication: 2019-06-26 11:50:22 UTC

=== debian/changelog ===
r-cran-cgdsr (1.3.0-2) unstable; urgency=medium

  * Team upload.
  * debhelper-compat 13 (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 12 Oct 2020 09:12:34 +0200

r-cran-cgdsr (1.3.0-1) unstable; urgency=medium

  * Initial release (closes: #951583)

 -- Steffen Moeller <moeller@debian.org>  Tue, 18 Feb 2020 12:24:39 +0100

=== debian/control ===
Source: r-cran-cgdsr
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-r.oo,
               r-cran-r.methodss3,
               r-cran-httr
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-cgdsr
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-cgdsr.git
Homepage: https://cran.r-project.org/package=cgdsr
Rules-Requires-Root: no

Package: r-cran-cgdsr
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R API for the MSKCC cancer genomics data server (CGDS)
 Provides a basic set of R functions for querying the Cancer
 Genomics Data Server (CGDS), hosted by the Computational Biology Center at
 Memorial-Sloan-Kettering Cancer Center (MSKCC) at <www.cbioportal.org>.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R


override_dh_auto_install:
	dh_auto_install
	chmod -x debian/r-cran-cgdsr/usr/lib/R/site-library/cgdsr/doc/cgdsr.Rnw
	chmod -x debian/r-cran-cgdsr/usr/lib/R/site-library/cgdsr/tests/test_cgdsr.R

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/cgdsr_([-\d.]*)\.tar\.gz
